| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
bm_t Struct Reference

`#include <bm_internal.h>`

Collaboration diagram for bm_t:

## Data Fields
BM_VOLATILE int32 | cb_list_cur_cnt
BM_VOLATILE bm_callback_token_t | cb_token_registered_mask
BM_VOLATILE bm_callback_token_t | cb_token_active_mask
BM_VOLATILE uint32 | time_keeper_usec
BM_VOLATILE uint32 | pipeline_index
BM_VOLATILE uint32 | cb_events [BM_PIPELINE_STAGES]

## Detailed Description

Definition at line 76 of file bm_internal.h.

## Field Documentation

BM_VOLATILE uint32 cb_events[BM_PIPELINE_STAGES]

Definition at line 84 of file bm_internal.h.

Referenced by bm_init(), bm_start(), and isr_bm_callback_tmr().

BM_VOLATILE int32 cb_list_cur_cnt

Definition at line 78 of file bm_internal.h.

Referenced by bm_find_cb(), bm_find_smallest_active_period(), bm_get_num_callback(), bm_init(), bm_register_periodic_callback(), bm_reset_period(), bm_sort_cb_list(), bm_start(), bm_stop(), bm_unregister_callback(), and bm_update_cb_list().

BM_VOLATILE bm_callback_token_t cb_token_active_mask

Definition at line 80 of file bm_internal.h.

Referenced by bm_active_cb_query(), bm_find_smallest_active_period(), bm_init(), bm_powerdown(), bm_start(), bm_stop(), bm_unregister_callback(), bm_update_cb_list(), and task_bm().

BM_VOLATILE bm_callback_token_t cb_token_registered_mask

Definition at line 79 of file bm_internal.h.

Referenced by bm_generate_token(), bm_init(), bm_register_periodic_callback(), bm_start(), bm_stop(), and bm_unregister_callback().

BM_VOLATILE uint32 pipeline_index

Definition at line 83 of file bm_internal.h.

Referenced by bm_init(), bm_start(), and isr_bm_callback_tmr().

BM_VOLATILE uint32 time_keeper_usec

Definition at line 82 of file bm_internal.h.

Referenced by bm_powerdown(), bm_start(), bm_update_cb_list(), and isr_bm_callback_tmr().

The documentation for this struct was generated from the following file:

- ISF/Bus_Manager/Include/bm_internal.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.